RAUL 0.8.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
Raul::Slave Class Reference
Realtime Audio Utility Library

Thread driven by (realtime safe) signals. More...

`#include <Slave.hpp>`

Inheritance diagram for Raul::Slave:
Collaboration diagram for Raul::Slave:

List of all members.

## Public Member Functions

void | whip ()
| Tell the slave to do whatever work it does.

## Protected Member Functions

virtual void | _whipped ()=0
| Worker method.

## Protected Attributes

Semaphore | _whip

## Detailed Description

Thread driven by (realtime safe) signals.

Use this to perform some task in a separate thread you want to 'drive' from a realtime (or otherwise) thread.

## Member Function Documentation

void Raul::Slave::whip | ( |  | ) | `[inline]`

Tell the slave to do whatever work it does.

Realtime safe.

References Raul::Semaphore::post().

virtual void Raul::Slave::_whipped | ( |  | ) | `[protected, pure virtual]`

Worker method.

This is called once from this thread every time whip() is called. Implementations likely want to put a single (non loop) chunk of code here, e.g. to process an event.

The documentation for this class was generated from the following file:

- Slave.hpp